## EXPM Matrix Exponential

Section: Array Generation and Manipulations

### Usage

Calculates `e^A` for a square, full rank matrix `A`. The syntax for its use is

       y = expm(A)

Internally, `expm` is mapped to a simple `e^A` expression (which in turn uses the eigenvalue expansion of `A` to compute the exponential).

### Example

An example of `expm`

    --> A = [1 1 0; 0 0 2; 0 0 -1]
    A =
      <int32>  - size: [3 3]

    Columns 1 to 3
      1   1   0
      0   0   2
      0   0  -1
    --> expm(A)
    ans =
      <double>  - size: [3 3]

    Columns 1 to 3
     2.71828182845904509  1.71828182845904509  1.08616126963048720
     0.00000000000000000  1.00000000000000000  1.26424111765711533
     0.00000000000000000  0.00000000000000000  0.36787944117144233